Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		podofo
#Epoch:		0
Version:	0.7.0
Release:	2
License:	LGPL
URL:		http://podofo.sourceforge.net
Group:		System/Library
Summary:	PDF handling library and tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: lua-devel
BuildRequires: zlib-devel

%description
PoDoFo is a library to work with the PDF file format. The name comes from the first letter of PDF (Portable Document Format). A few tools to work with PDF files are already included in the PoDoFo package.

The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory. The changes can be written back to disk easily. The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer). Besides parsing PoDoFo includes also very simple classes to create your own PDF files. All classes are documented so it is easy to start writing your own application using PoDoFo. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# If this realy needed ?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/podofoencrypt
%{_bindir}/podofoimgextract
%{_bindir}/podofoimpose
%{_bindir}/podofomerge
%{_bindir}/podofopdfinfo
%{_bindir}/podofotxt2pdf
%{_bindir}/podofotxtextract
%{_bindir}/podofouncompress


%files devel
%defattr(-,root,root)
%{_includedir}/podofo/
%{_libdir}/libpodofo.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-2
- rebuilt against libjpeg 7
* Wed Apr 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.7.0-1
- initial CCux package release
